"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.load = void 0;
const DevopsSourcefileMapPlugin_1 = require("./DevopsSourcefileMapPlugin");
function load(app) {
    app.options.addDeclaration({
        name: "devops-sourcefile-url-map",
        help: "[DevOps Source File Plugin] Pass an array of Azure DevOps URL templates. See https://github.com/DAVISOL-GmbH/typedoc-plugin-devops-sourcefile#advanced-mappings"
    });
    app.options.addDeclaration({
        name: "devops-sourcefile-url-prefix",
        help: "[DevOps Source File Plugin] Pass the Azure DevOps URL template. See https://github.com/DAVISOL-GmbH/typedoc-plugin-devops-sourcefile#simple-prefix"
    });
    app.converter.addComponent("devops-sourcefile", new DevopsSourcefileMapPlugin_1.DevopsSourcefileMapPlugin(app.converter));
}
exports.load = load;
;
